Package org.silverpeas.components.gallery.process.media

# Class GalleryPasteMediaFileProcess

java.lang.Object
org.silverpeas.core.process.AbstractProcess<C>
org.silverpeas.core.process.management.AbstractFileProcess<org.silverpeas.core.process.management.ProcessExecutionContext>
org.silverpeas.components.gallery.process.AbstractGalleryFileProcess
org.silverpeas.components.gallery.process.media.GalleryPasteMediaFileProcess

All Implemented Interfaces:
  `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`

public class GalleryPasteMediaFileProcess extends AbstractGalleryFileProcess
Process to paste a media on file system

Author:
  Yohann Chastagnier

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GalleryPasteMediaFileProcess(Media media, MediaPK fromMediaPk, boolean isCut)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GalleryPasteMediaFileProcess`
  `getInstance(Media media, MediaPK fromMediaPk, boolean isCut)`
  `void`
  `processFiles(org.silverpeas.core.process.management.ProcessExecutionContext context, org.silverpeas.core.process.session.ProcessSession session, org.silverpeas.core.process.io.file.FileHandler fileHandler)`

  ### Methods inherited from class org.silverpeas.components.gallery.process.AbstractGalleryFileProcess

  `getMedia`

  ### Methods inherited from class org.silverpeas.core.process.management.AbstractFileProcess

  `getProcessType, process`

  ### Methods inherited from class org.silverpeas.core.process.AbstractProcess

  `onFailure, onSuccessful`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GalleryPasteMediaFileProcess

    protected GalleryPasteMediaFileProcess(Media media, MediaPK fromMediaPk, boolean isCut)

- ## Method Details

  - ### getInstance

    public static GalleryPasteMediaFileProcess getInstance(Media media, MediaPK fromMediaPk, boolean isCut)

  - ### processFiles

    public void processFiles(org.silverpeas.core.process.management.ProcessExecutionContext context, org.silverpeas.core.process.session.ProcessSession session, org.silverpeas.core.process.io.file.FileHandler fileHandler)
    Specified by:
      `processFiles` in class `org.silverpeas.core.process.management.AbstractFileProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`